TAUEX(1)

NAME
tauex - Allows you to choose a tau configuration at runtime

SYNOPSIS

tauex [OPTION] [--] {executable} [executable options]

DESCRIPTION

Use this script to dynamically load a TAU profiling/tracing library or to select which papi events/domain to use during execuation of the application. At runtime tauex will set the LD_LIBRARY_PATH and pass any other parameters (or papi events) to the program and execute it with the specified TAU measurement options.

OPTIONS

-d  Enable debugging output, use repeatedly for more output.

-h  Print help message.

-i  Print information about the host machine.

-s  Dump the shell environment variables and exit.

-U  User mode counts

-K  Kernel mode counts

-S  Supervisor mode counts

-I  Interrupt mode counts

-l  List events

-L <event>
    Describe event

-a  Count all native events (implies -m)

-n  Multiple runs (enough runs of exe to gather all events)

-e <event>
    Specify PAPI preset or native event

-T <option>
    Specify TAU option

-v  Debug/Verbose mode

-XrunTAU-<options>
    specify TAU library directly

NOTES

Defaults if unspecified: -U -T MPI,PROFILE -e P_WALL_CLOCK_TIME MPI is assumed unless SERIAL is specified PROFILE is assumed unless one of TRACE, VAMPIRTRACE or EPILOG is specified P_WALL_CLOCK_TIME means count real time using fastest available timer

EXAMPLE

mpirun -np 2 tauex -e PAPI_TOT_CYC -e PAPI_FP_OPS -T MPI,PROFILE -- ./ring